### Method

# Gom Repository find_async

#### Declaration [src]

    void
    gom_repository_find_async (
      GomRepository* repository,
      GType resource_type,
      GomFilter* filter,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

This method completes asynchronously. Use `gom_repository_find_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`resource_type`

  Type: `GType`

  No description available.

`filter`

  Type: `GomFilter`

  No description available.

  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.